# CreatePaymentIntentInput

## Properties

| Name         | Type                | Description | Notes       |
| ------------ | ------------------- | ----------- | ----------- |
| **config**   | **str**             |             | \[optional] |
| **metadata** | **Dict\[str, str]** |             |             |
| **network**  | **str**             |             | \[optional] |
| **amount**   | **float**           |             |             |
| **currency** | **str**             |             | \[optional] |

## Example

```python
from moonsdk.models.create_payment_intent_input import CreatePaymentIntentInput

# TODO update the JSON string below
json = "{}"
# create an instance of CreatePaymentIntentInput from a JSON string
create_payment_intent_input_instance = CreatePaymentIntentInput.from_json(json)
# print the JSON string representation of the object
print CreatePaymentIntentInput.to_json()

# convert the object into a dict
create_payment_intent_input_dict = create_payment_intent_input_instance.to_dict()
# create an instance of CreatePaymentIntentInput from a dict
create_payment_intent_input_form_dict = create_payment_intent_input.from_dict(create_payment_intent_input_dict)
```

[\[Back to Model list\]](/sdks/python.md#documentation-for-models) [\[Back to API list\]](/sdks/python.md#documentation-for-api-endpoints) [\[Back to README\]](/sdks/python.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.usemoon.ai/sdks/python/createpaymentintentinput.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
